Bug 26773 - xsane dont detect scsi snapscan device with kernel 2.4
Summary: xsane dont detect scsi snapscan device with kernel 2.4
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-09 01:38 UTC by Anvil
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-10 10:31:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
See http://www.uwsg.iu.edu/hypermail/linux/kernel/0101.1/1959.html (3.09 KB, patch)
2001-02-09 17:10 UTC, Tim Waugh
no flags Details | Diff

Description Anvil 2001-02-09 01:38:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0 i686; en-US; 0.7) Gecko/20010118


Even with the scanner found by the kernel as an scsi host, xsane dont find
it. The scanner cannot be used.

Reproducible: Always
Steps to Reproduce:
1. modprobe scsi-hostadapter
2. modprobe sg
3. xsane
	

Actual Results:  xsane dont found snapscan device... and just freeze.
Even if we remove all kind of driver from the sane config file except the
snapscan then xsane dont freeze, simply dont find the device.

Expected Results:  at the beginning, xsane must find the device and popup
its main window.

The bug is present in fisher and also in guinness if the kernel is upgrade
to a 2.4.x version. The device is found by xsane if kernel version is 2.2.x

Comment 2 Tim Waugh 2001-02-09 17:11:37 UTC
I'm pretty sure this is a kernel problem.

Comment 3 Arjan van de Ven 2001-02-09 19:00:21 UTC
Fixed in next kernel rpm release


Note You need to log in before you can comment on or make changes to this bug.